#!/bin/sh -f

# This script initializes all the environment variables to run
# the softIOC and the EDM, adapted for iGp12
#
# Copyright (c) 2010 Dimtel, Inc., All Rights Reserved
#
# $Id$
# $Date$
# $Author$
# $Revision$
# $Log$
#

# Service functions
strstr() {
  [ "${1#*$2*}" = "$1" ] && return 1
  return 0
}
strnstr() {
  [ "${1#*$2*}" = "$1" ] && return 0
  return 1
}

# Figure out install directory
dir1=`pwd`
dir2=`dirname $BASH_ARGV`
if [ ${dir2:0:1} == "/" ]; then
  export IGP12TOP=${dir2}
else
  export IGP12TOP=${dir1}/${dir2}
fi
IGP12TOP=`(cd $IGP12TOP; pwd)`
export HOST_ARCH=linux-x86
export EPICS_HOST_ARCH=linux-x86

# IOC and EDM communication config
export EPICS_CA_ADDR_LIST
export EPICS_CA_SERVER_PORT=5064
export EPICS_CA_REPEATER_PORT=5065
export EPICS_CA_MAX_ARRAY_BYTES=1048576

# MATLABPATH interfacing
if [ -z "$MATLABPATH" ]; then
  export MATLABPATH=${IGP12TOP}/extensions/labca/linux-x86:${IGP12TOP}/matlab
else
  export MATLABPATH=$MATLABPATH:${IGP12TOP}/extensions/labca/linux-x86:${IGP12TOP}/matlab
fi

export EPICS_LIB12=${IGP12TOP}/base/lib/${HOST_ARCH}:${IGP12TOP}/extensions/lib/${HOST_ARCH}
if [ -z "$LD_LIBRARY_PATH" ]; then
  export LD_LIBRARY_PATH=${EPICS_LIB12}
elif strnstr "$LD_LIBRARY_PATH" "$EPICS_LIB" ; then
  LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${EPICS_LIB12}
fi

if strnstr "$PATH" "${IGP12TOP}/bin"; then
  PATH=${IGP12TOP}/bin:${PATH}
fi
